=== debian/changelog ===
gpsshogi (0.4.3-1) unstable; urgency=low

  * New upstream release (r2688).
  * removed patches that the upstream adapted:
    - 20111010-r2604_gpsshell_makefile.patch
    - 20111010-r2603_viewer_pvModel.cc.patch
  * debian/control: Upgraded corresponding libosl version.
  * Added a patch: debian/patches/20120121-r2689-gpsshell.patch.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 21 Jan 2012 17:26:29 +0900
