=== debian/changelog ===
gpsshogi (0.5.0-1) unstable; urgency=low

  * New upstream release (r2758).
  * Build-depends on the latest boost libraries (1.49.0).  (Closes: #672748)
  * debian/patches/20120121-r2689-gpsshell.patch: removed. It has been applied
    by the upstream.
  * debian/control:
    - Updated the corresponding libosl version.
    - Bumped up Standards-Version to 3.9.2.
  * Added a new patch: debian/patches/20120608-Makefile.patch
    - Build in a hardening-friendly way.

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 25 May 2012 20:16:34 +0900
