=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: games
 Priority: optional
 Maintainer: Daigo Moriwaki <daigo@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, quilt, libosl-dev (>= 0.4.3), libboost1.46-all-dev, libgoogle-perftools-dev, chrpath, help2man, libqt4-dev, qt4-dev-tools, libpoco-dev, libreadline6-dev, libgsl0-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), cdbs, quilt, dpkg-dev (>= 1.16.1~), libosl-dev (>= 0.5.0), libboost1.49-all-dev, libgoogle-perftools-dev, chrpath, help2man, libqt4-dev, qt4-dev-tools, libpoco-dev, libreadline6-dev, libgsl0-dev
+Standards-Version: 3.9.3
 Homepage: http://gps.tanaka.ecc.u-tokyo.ac.jp/gpsshogi/pukiwiki.php
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gpsshogi.git;a=summary
 Vcs-Git: git://git.debian.org/git/collab-maint/gpsshogi.git
 
 Package: gpsshogi
 Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, libosl1 (>= 0.4.3), gpsshogi-data (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libosl1 (>= 0.5.0), gpsshogi-data (= ${source:Version})
 Description: Shogi playing program based on OpenShogiLib
  GPSShogi is a Shogi playing program based on OpenShogiLib and won the 19th
  World Computer Shogi Championship. This package contains several binaries to
