=== bin/CMakeLists.txt ===
--- 
+++ 
@@ -12,11 +12,13 @@
 endif()
 
 if(MINGW)
-  set (CMAKE_CXX_FLAGS "-Wall -D_MT -mthreads -static-libgcc -static-libstdc++")
+  set (CMAKE_CXX_FLAGS "-Wall -D_MT -mthreads -mwin32 -msse2 -static-libgcc -static-libstdc++ -DWIN32_LEAN_AND_MEAN")
   set (CMAKE_CXX_FLAGS_DEBUG "-O0 -g -DDEBUG")
   set (CMAKE_CXX_FLAGS_RELEASE "-O3 -DNDEBUG -march=pentium4 -funroll-loops -funswitch-loops -fpeel-loops --param large-function-growth=48000 --param inline-unit-growth=8000 --param max-inline-insns-single=8000 -fomit-frame-pointer")
   add_definitions(-DOSL_SMP=1 -DOSL_DFPN_SMP_SEARCH -DMORE_CHECKMATE_IF_CAPTURE_MAJOR -DBOOST_FILESYSTEM_VERSION=2 -DBOOST_THREAD_USE_LIB=1 -DUSE_BOOST_POOL_ALLOCATOR=1 -D_WIN32_WINNT=0x0500)
   set (BOOST_ROOT "$ENV{HOME}/local/src/boost_1_46_1/")
+
+  find_library(Winsock2_LIBRARY ws2_32)
 endif(MINGW)
 
 add_definitions(-DOSL_HOME="${CMAKE_CURRENT_SOURCE_DIR}" -DUSE_TCMALLOC=0 -D_REENTRANT)
@@ -45,7 +47,7 @@
 #set (BOOST_ROOT "$ENV{HOME}/local/boost_1_36_0_binaries/")
 set (Boost_USE_STATIC_LIBS ON)
 set (Boost_USE_MULTITHREADED ON)
-find_package (Boost 1.46.1 COMPONENTS program_options filesystem serialization iostreams thread_win32 system)
+find_package (Boost 1.46.1 COMPONENTS program_options date_time filesystem serialization iostreams thread_win32 system)
 if (Boost_FOUND)
   include_directories (${Boost_INCLUDE_DIRS})
   message (STATUS ${Boost_INCLUDE_DIRS})
@@ -53,12 +55,17 @@
   message (FATAL_ERROR "Boost installation not found")
 endif()
 
+## Import libosl.a
+add_library (osl STATIC IMPORTED)
+set_property (TARGET osl PROPERTY IMPORTED_LOCATION_DEBUG   ${PROJECT_SOURCE_DIR}/../../osl/mingw-debug/libosl.a)
+set_property (TARGET osl PROPERTY IMPORTED_LOCATION_RELEASE ${PROJECT_SOURCE_DIR}/../../osl/mingw-release/libosl.a)
+
 ## gpsshogi
 set(GPSSHOGI_HEADERS  options.h)
 set(GPSSHOGI_SRCS     gpsshogi.cc)
 set(GPSSHIGI_ALL_SRCS ${GPSSHOGI_HEADERS} ${GPSSHOGI_SRCS})
 add_executable(gpsshogi ${GPSSHIGI_ALL_SRCS})
-target_link_libraries (gpsshogi ${PROJECT_SOURCE_DIR}/../../osl/mingw-release/libosl.a)
+target_link_libraries (gpsshogi osl)
 target_link_libraries (gpsshogi ${Boost_PROGRAM_OPTIONS_LIBRARY})
 target_link_libraries (gpsshogi ${Boost_FILESYSTEM_LIBRARY})
 target_link_libraries (gpsshogi ${Boost_SERIALIZATION_LIBRARY})
@@ -67,14 +74,18 @@
 target_link_libraries (gpsshogi ${Bz2_LIBRARY})
 target_link_libraries (gpsshogi ${Psapi_LIBRARY})
 target_link_libraries (gpsshogi ${Boost_THREAD_WIN32_LIBRARY})
+if(MINGW)
+  target_link_libraries (gpsshogi ${Winsock2_LIBRARY})
+endif(MINGW)
 
 ## gpsusi
 set(GPSUSI_HEADERS  options.h)
 set(GPSUSI_SRCS     gpsusi.cc)
 set(GPSUSI_ALL_SRCS ${GPSUSI_HEADERS} ${GPSUSI_SRCS})
 add_executable(gpsusi ${GPSUSI_ALL_SRCS})
-target_link_libraries (gpsusi ${PROJECT_SOURCE_DIR}/../../osl/mingw-release/libosl.a)
+target_link_libraries (gpsusi osl)
 target_link_libraries (gpsusi ${Boost_PROGRAM_OPTIONS_LIBRARY})
+target_link_libraries (gpsusi ${Boost_DATE_TIME_LIBRARY})
 target_link_libraries (gpsusi ${Boost_FILESYSTEM_LIBRARY})
 target_link_libraries (gpsusi ${Boost_SERIALIZATION_LIBRARY})
 target_link_libraries (gpsusi ${Boost_IOSTREAMS_LIBRARY})
@@ -82,12 +93,15 @@
 target_link_libraries (gpsusi ${Bz2_LIBRARY})
 target_link_libraries (gpsusi ${Psapi_LIBRARY})
 target_link_libraries (gpsusi ${Boost_THREAD_WIN32_LIBRARY})
+if(MINGW)
+  target_link_libraries (gpsusi ${Winsock2_LIBRARY})
+endif(MINGW)
 
 ## installer
 set (CPACK_PACKAGE_VENDOR "TeamGPS")
 set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "GPSShogi by TeamGPS")
 set (CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/../sample/binary-dist/gpsshogi_setup/README.ja.txt")
-set (CPACK_PACKAGE_VERSION_MAJOR "20111117")
+set (CPACK_PACKAGE_VERSION_MAJOR "20120707")
 set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/../sample/binary-dist/GPL-2")
 #set (CPACK_PACKAGE_EXECUTABLES gpsshogi;gpsshogi) # do not create start menu
 set (CPACK_PACKAGE_INSTALL_DIRECTORY "gpsshogi")
