=== bin/Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 endif
 endif
 
-CXXFLAGS = $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)
+CXXFLAGS += $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)
 
 PROGRAM_SRCS = gpsshogi.cc gpsusi.cc alphabetastat.cc brinkmate.cc
 SRCS = $(PROGRAM_SRCS)
