=== sample/gpsshell/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	     -lPocoNet -lPocoFoundation -lreadline -lgsl -lgslcblas -lpthread 
 INCLUDES += -I. -I/usr/include/gsl
 
-CXXFLAGS = $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)
+CXXFLAGS += $(PROF) $(OTHERFLAGS) $(CXXOPTFLAGS) $(WARNING_FLAGS) $(INCLUDES)
 
 SRCS = gpsshell.cc board.cc book.cc commands.cc httpclient.cc ignorelist.cc
 OBJS = $(patsubst %.cc,%.o,$(SRCS))
