=== sample/tcpcluster/Makefile ===
all:
	$(MAKE) -C bin

cleandeps:
	-rm -rf */.deps
	-rm */*.a

clean:
	$(MAKE) -C lib clean
	$(MAKE) -C bin clean
