=== debian/changelog ===
gpsshogi (0.6.0-3) unstable; urgency=medium

  * debian/qt-common-local.pro.i386:
    - Stop using march to build on the i386 architecture.
    - Build without SSE.
  * Use ESP license in a text format since the previous html format had
    privacy-breach-google-adsense.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 08 Feb 2014 23:41:31 +0900

gpsshogi (0.6.0-2) unstable; urgency=low

  * Now build-depends on libboost1.54-all-dev.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 15 Sep 2013 21:18:30 +0900

gpsshogi (0.6.0-1) unstable; urgency=low

  * New upstream release (r2844).
  * Removed debian/patches/20120608-Makefile.patch, which has been applied by
    the upstream.
  * debian/control:
    -  Bumped up Standards-Version to 3.9.4.
    - Updated the corresponding libosl version.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 21 Jul 2013 21:58:29 +0900
