=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 DEB_INSTALL_MANPAGES_gpsshogi += debian/gpsshogi.1
 DEB_INSTALL_MANPAGES_gpsshogi += debian/gpsshell.1
 DEB_INSTALL_MANPAGES_gpsshogi += debian/gpsshogi-viewer.1
-DEB_INSTALL_DOCS_gpsshogi += debian/epl-v10.html
+DEB_INSTALL_DOCS_gpsshogi += debian/epl-v10.txt
 DEB_INSTALL_DIRS_gpsshogi_data += usr/share/gpsshogi-data/data
 
 pre-build::
@@ -38,13 +38,13 @@
 
 build/gpsshogi::
 	# gpsusi, gpsshogi
-	$(MAKE) -C bin OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDFLAGS='-Wl,--as-needed `dpkg-buildflags --get LDFLAGS`' LDLIBS='-losl -lboost_date_time -lboost_filesystem-mt -lboost_serialization-mt -lboost_iostreams-mt -lboost_system-mt -ltcmalloc_minimal' RELEASE=t gpsshogi gpsusi
+	$(MAKE) -C bin OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDFLAGS='-Wl,--as-needed `dpkg-buildflags --get LDFLAGS`' LDLIBS='-losl -lboost_date_time -lboost_filesystem -lboost_serialization -lboost_iostreams -lboost_system -ltcmalloc_minimal' RELEASE=t gpsshogi gpsusi
 	help2man --section 6 -n "GPSShogi for XShogi and the CSA protocol" --no-info \
 	  $(CURDIR)/bin/gpsshogi > $(CURDIR)/debian/gpsshogi.1
 	help2man --section 6 -n "GPSShogi for the USI protocol" --no-info \
 	  $(CURDIR)/bin/gpsusi > $(CURDIR)/debian/gpsusi.1
 	# gpsshell
-	$(MAKE) -C sample/gpsshell OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDFLAGS='-Wl,--as-needed `dpkg-buildflags --get LDFLAGS`' LDLIBS='-losl -lboost_date_time -lboost_filesystem-mt -lboost_serialization-mt -lboost_iostreams-mt -lboost_system-mt -ltcmalloc_minimal' RELEASE=t gpsshell
+	$(MAKE) -C sample/gpsshell OSL_HOME=/usr/share/libosl-dev OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" FILE_TCMALLOC='' FILE_OSL_ALL='' LDFLAGS='-Wl,--as-needed `dpkg-buildflags --get LDFLAGS`' LDLIBS='-losl -lboost_date_time -lboost_filesystem -lboost_serialization -lboost_iostreams -lboost_system -ltcmalloc_minimal' RELEASE=t gpsshell
 	help2man --section 6 -n "GPSShogi shell like client" --version-string "gpsshell" --no-info \
 	  $(CURDIR)/sample/gpsshell/gpsshell > $(CURDIR)/debian/gpsshell.1
 	# viewer
